<template>
    <div class="film_page">
      <div class="description">
        <h2 class="movie">{{ title }}</h2>
        <p>Sortie : {{ year }}</p>
        <p>Langue : {{ language }}</p>
        <p>Réalisé par : {{realinfo}}</p>
        <p>Genre : {{ type }}</p>
        <p id="last_item">Note : {{ grade }} / 5</p>
        <router-link class="goto_edit" :to="{name:'movie_edit', params:{id: id}}">Editer</router-link>
        <button class="del_button" v-on:click="delete_item(id)">Supprimer</button>
      </div>
      <img :src="img">
    </div>
</template>

<script>
export default {
  name: 'MovieDetailsComponent',
  props: {
   id:{},
   title: {type: String},
   img: {},
   year: {type: Number},
   language: {type: String},
   realinfo: {},
   type: {type: String},
   grade: {type: Number}
  },
  data() {
    return{
      movies_list: window.movies_list
    }
  },
  methods : {
    delete_item : function(id){
      this.movies_list.movies = this.movies_list.movies.filter((item) => item.id != id);
      this.$router.push('/');
    }
  }
}
</script>

<style>
.film_page{
  margin-left: auto;
  margin-right: auto;
  display:flex;
  width:700px;
}
.description{
  width: 100%;
  font-family: Arial;
}
.description h2{
  margin: 0px;
  font-size: 2.4em;
  color: rgb(65,184,131);
}
.description p{
  margin-top: 30px;
  font-weight: bold;
  color:rgb(53,73,94);
}
.film_page img{
  width: 280px;
  height: 365px;
}
#last_item{
  margin-bottom:50px;
}
.goto_edit{
  background-color:rgb(65,184,131);
  color:white;
  border-radius: 6px;
  padding-left: 28px;
  padding-right: 28px;
  padding-top: 10px;
  padding-bottom: 10px;
  text-decoration:none;
  font-size:1em;
}
.goto_edit:hover{
  background-color:rgb(145,217,184);
}
@media screen and (max-width: 800px){
  .film_page{
    width:100%;
  }
  .description{
    width: 50%;
  }
}
</style>